%?mingw_package_header

# first two digits of version
%define release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:           mingw-glibmm24
Version:        2.32.1
Release:        1%{?dist}
Summary:        MinGW Windows C++ interface for GTK2 (a GUI library for X)

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://www.gtkmm.org/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/glibmm/%{release_version}/glibmm-%{version}.tar.xz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-libsigc++20 >= 2.0.0
BuildRequires:  mingw64-libsigc++20 >= 2.0.0
BuildRequires:  mingw32-glib2 >= 2.32.0
BuildRequires:  mingw64-glib2 >= 2.32.0

%description
glibmm provides a C++ interface to the GTK+ GLib low-level core
library. Highlights include typesafe callbacks, widgets extensible via
inheritance and a comprehensive set of widget classes that can be
freely combined to quickly create complex user interfaces.


# Win32
%package -n mingw32-glibmm24
Summary:        MinGW Windows C++ interface for GTK2 (a GUI library for X)

%description -n mingw32-glibmm24
glibmm provides a C++ interface to the GTK+ GLib low-level core
library. Highlights include typesafe callbacks, widgets extensible via
inheritance and a comprehensive set of widget classes that can be
freely combined to quickly create complex user interfaces.

%package -n mingw32-glibmm24-static
Summary:        Static cross compiled version of the glibmm library
Requires:       mingw32-glibmm24 = %{version}-%{release}

%description -n mingw32-glibmm24-static
Static cross compiled version of the glibmm library.

# Win64
%package -n mingw64-glibmm24
Summary:        MinGW Windows C++ interface for GTK2 (a GUI library for X)

%description -n mingw64-glibmm24
glibmm provides a C++ interface to the GTK+ GLib low-level core
library. Highlights include typesafe callbacks, widgets extensible via
inheritance and a comprehensive set of widget classes that can be
freely combined to quickly create complex user interfaces.

%package -n mingw64-glibmm24-static
Summary:        Static cross compiled version of the glibmm library
Requires:       mingw64-glibmm24 = %{version}-%{release}

%description -n mingw64-glibmm24-static
Static cross compiled version of the glibmm library.


%?mingw_debug_package


%prep
%setup -q -n glibmm-%{version}


%build
%mingw_configure --enable-static
%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=$RPM_BUILD_ROOT install

# Remove .la files
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/*.la
# Remove docs, duplicate native package.
rm -r $RPM_BUILD_ROOT%{mingw32_docdir}/glibmm-2.4
rm -r $RPM_BUILD_ROOT%{mingw64_docdir}/glibmm-2.4
rm -r $RPM_BUILD_ROOT%{mingw32_datadir}/devhelp
rm -r $RPM_BUILD_ROOT%{mingw64_datadir}/devhelp


# Win32
%files -n mingw32-glibmm24
%doc COPYING COPYING.tools
%{mingw32_bindir}/libgiomm-2.4-1.dll
%{mingw32_bindir}/libglibmm-2.4-1.dll
%{mingw32_bindir}/libglibmm_generate_extra_defs-2.4-1.dll
%{mingw32_libdir}/libgiomm-2.4.dll.a
%{mingw32_libdir}/libglibmm-2.4.dll.a
%{mingw32_libdir}/libglibmm_generate_extra_defs-2.4.dll.a
%{mingw32_libdir}/giomm-2.4
%{mingw32_libdir}/glibmm-2.4
%{mingw32_includedir}/giomm-2.4
%{mingw32_includedir}/glibmm-2.4
%{mingw32_libdir}/pkgconfig/giomm-2.4.pc
%{mingw32_libdir}/pkgconfig/glibmm-2.4.pc

%files -n mingw32-glibmm24-static
%{mingw32_libdir}/libgiomm-2.4.a
%{mingw32_libdir}/libglibmm-2.4.a
%{mingw32_libdir}/libglibmm_generate_extra_defs-2.4.a

# Win64
%files -n mingw64-glibmm24
%doc COPYING COPYING.tools
%{mingw64_bindir}/libgiomm-2.4-1.dll
%{mingw64_bindir}/libglibmm-2.4-1.dll
%{mingw64_bindir}/libglibmm_generate_extra_defs-2.4-1.dll
%{mingw64_libdir}/libgiomm-2.4.dll.a
%{mingw64_libdir}/libglibmm-2.4.dll.a
%{mingw64_libdir}/libglibmm_generate_extra_defs-2.4.dll.a
%{mingw64_libdir}/giomm-2.4
%{mingw64_libdir}/glibmm-2.4
%{mingw64_includedir}/giomm-2.4
%{mingw64_includedir}/glibmm-2.4
%{mingw64_libdir}/pkgconfig/giomm-2.4.pc
%{mingw64_libdir}/pkgconfig/glibmm-2.4.pc

%files -n mingw64-glibmm24-static
%{mingw64_libdir}/libgiomm-2.4.a
%{mingw64_libdir}/libglibmm-2.4.a
%{mingw64_libdir}/libglibmm_generate_extra_defs-2.4.a


%changelog
* Fri Aug  3 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.32.1-1
- update to 2.32.1

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.32.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 14 2012 Kalev Lember <kalevlember@gmail.com> - 2.32.0-1
- Update to 2.32.0

* Sun Apr  8 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.31.22-1
- Update to 2.31.22
- Added -static subpackage
- Cleaned up unneeded %%global tags
- Dropped upstreamed patches

* Thu Mar 15 2012 Kalev Lember <kalevlember@gmail.com> - 2.31.2-5
- Build 64 bit Windows binaries

* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.31.2-4
- Renamed the source package to mingw-glibmm24 (RHBZ #800875)
- Use mingw macros without leading underscore

* Tue Feb 28 2012 Kalev Lember <kalevlember@gmail.com> - 2.31.2-3
- Remove .la files

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.31.2-2
- Rebuild against the mingw-w64 toolchain

* Sat Jan 14 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.31.2-1
- Update to 2.31.2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.30.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 30 2011 Kalev Lember <kalevlember@gmail.com> - 2.30.0-1
- Update to 2.30.0
- Use automatic mingw dep extraction
- Clean up the spec file for recent rpmbuild
- Drop hacks for sed'ing headers; this is now in upstream

* Wed Jul 06 2011 Kalev Lember <kalevlember@gmail.com> - 2.28.1-2
- Rebuilt against win-iconv

* Tue May 10 2011 Kalev Lember <kalev@smartlink.ee> - 2.28.1-1
- Update to 2.28.1
- Dropped upstreamed unixfdlist patch

* Mon May 02 2011 Kalev Lember <kalev@smartlink.ee> - 2.28.0-2
- Backported an upstream patch to avoid including unixfdlist.h on win32

* Thu Apr 28 2011 Kalev Lember <kalev@smartlink.ee> - 2.28.0-1
- Update to 2.28.0
- Use macro for calculating two digit version in download url

* Wed Apr 27 2011 Kalev Lember <kalev@smartlink.ee> - 2.27.93-2
- Rebuilt for proxy-libintl removal

* Sun Feb 13 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.27.93-1
- update to 2.27.93

* Mon Dec  6 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.27.4-1
- update to 2.27.4

* Thu Aug  5 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.24.1-1
- update to 2.24.1

* Sun Feb 28 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.23.2-1
- update to 2.23.2

* Sun Jan 31 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.23.1-1
- update to 2.23.1

* Tue Oct  6 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.22.1-2
- remove nonexisting (on windows) files from giomm.h header

* Sun Sep 27 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.22.1-1
- update to 2.22.1 to match native package

* Sat Sep 19 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.21.5-1
- update to 2.21.5 to match native package

* Mon Aug 31 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.21.4-1
- update to 2.21.4 to match native package

* Mon Aug 31 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.21.3-1
- update to 2.21.3 to match native package

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.20.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.20.0-4
- add debuginfo packages

* Fri Apr 17 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.20.0-3
- fix extradefs build failure

* Thu Apr 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.20.0-2
- update to 2.20.0
- replace %%define with %%global

* Wed Mar 25 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.19.2-1
- update to 2.19.2

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 2.18.1-5
- Rebuild for mingw32-gcc 4.4

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 2.18.1-4
- Include license.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 2.18.1-3
- Use _smp_mflags.

* Fri Oct 24 2008 Richard W.M. Jones <rjones@redhat.com> - 2.18.1-2
- Initial RPM release.
